package com.file.clean.q.view.guide;

import android.os.Bundle;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;

import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;

import com.file.clean.q.R;
import com.file.clean.q.business.newAdmob.AdmobHelps;

import io.reactivex.rxjava3.annotations.Nullable;

public class FullNativeFragment extends Fragment {

    private FrameLayout nativeView;
    public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
        View view = inflater.inflate(R.layout.fragment_full_native, container, false);
        nativeView = view.findViewById(R.id.fl_ad);
        return view;
    }

    @Override
    public void onResume() {
        super.onResume();
        Log.d("showNativeAd","111");
        AdmobHelps.INSTANCE.showNativeAd(requireActivity(),nativeView,R.layout.layout_ad_native_big,AdmobHelps.INSTANCE.isShowAdNativeBottom(),false);
    }

    @Override
    public void onDestroyView() {
        super.onDestroyView();
    }
}